gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.BinLayout

Contents

- Exported types
- Methods
  - new

Description

A layout manager for widgets with a single child.

`GtkBinLayout` will stack each child of a widget on top of each other, using the Widget:hexpand, Widget:vexpand, Widget:halign, and Widget:valign properties of each child to determine where they should be positioned.

Synopsis

- newtype BinLayout = BinLayout (ManagedPtr BinLayout)
- class (GObject o, IsDescendantOf BinLayout o) => IsBinLayout o
- toBinLayout :: (MonadIO m, IsBinLayout o) => o -> m BinLayout
- binLayoutNew :: (HasCallStack, MonadIO m) => m BinLayout

# Exported types

newtype BinLayout Source #

Memory-managed wrapper type.

Constructors

BinLayout (ManagedPtr BinLayout) |

#### Instances

Instances details

Eq BinLayout Source # |
Instance details Defined in GI.Gtk.Objects.BinLayout Methods (==) :: BinLayout -> BinLayout -> Bool Source # (/=) :: BinLayout -> BinLayout -> Bool Source #
GObject BinLayout Source # |
Instance details Defined in GI.Gtk.Objects.BinLayout
ManagedPtrNewtype BinLayout Source # |
Instance details Defined in GI.Gtk.Objects.BinLayout Methods toManagedPtr :: BinLayout -> ManagedPtr BinLayout Source #
TypedObject BinLayout Source # |
Instance details Defined in GI.Gtk.Objects.BinLayout Methods glibType :: IO GType Source #
HasParentTypes BinLayout Source # |
Instance details Defined in GI.Gtk.Objects.BinLayout
IsGValue (Maybe BinLayout) Source # | Convert `BinLayout` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.BinLayout Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe BinLayout -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe BinLayout) Source #
type ParentTypes BinLayout Source # |
Instance details Defined in GI.Gtk.Objects.BinLayout type ParentTypes BinLayout = '[LayoutManager, Object]

class (GObject o, IsDescendantOf BinLayout o) => IsBinLayout o Source #

Type class for types which can be safely cast to `BinLayout`, for instance with `toBinLayout`.

#### Instances

Instances details

(GObject o, IsDescendantOf BinLayout o) => IsBinLayout o Source # |
Instance details Defined in GI.Gtk.Objects.BinLayout

toBinLayout :: (MonadIO m, IsBinLayout o) => o -> m BinLayout Source #

Cast to `BinLayout`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

allocate, bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, layoutChanged, measure, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getLayoutChild, getProperty, getQdata, getRequestMode, getWidget.

#### Setters

setData, setDataFull, setProperty.

## new

binLayoutNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m BinLayout | Returns: the newly created `GtkBinLayout`

Creates a new `GtkBinLayout` instance.